Summary:	Game with heavyly armed figthing hedgehogs
Name:		hedgewars
Version:	0.9.6
Release:	%mkrel 1
License:	GPLv2
Group:		Games/Strategy
URL:		http://www.hedgewars.org/
Source:		%{name}-src-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	fpc qt4-devel SDL_ttf-devel SDL_net-devel
BuildRequires:	SDL_image-devel cmake SDL_mixer-devel
BuildRequires:	openssl-devel

%description
Each player controls a team of several hedgehogs. During the course of the 
game, players take turns with one of their hedgehogs. They then use whatever 
tools and weapons are available to attack and kill the opponents' hedgehogs, 
thereby winning the game. Hedgehogs may move around the terrain in a variety 
of ways, normally by walking and jumping but also by using particular tools 
such as the "Rope" or "Parachute", to move to otherwise inaccessible areas. 

Each turn is time-limited to ensure that players do not hold up the game 
with excessive thinking or moving.
A large variety of tools and weapons are available for players during the 
game: Grenade, Cluster Bomb, Bazooka, UFO, Shotgun, Desert Eagle, Fire Punch, 
Baseball Bat, Dynamite, Mine, Rope, Pneumatic pick, Parachute. Most weapons, 
when used, cause explosions that deform the terrain, removing circular chunks. 

The landscape is an island floating on a body of water, or a restricted cave 
with water at the bottom. A hedgehog dies when it enters the water (either 
by falling off the island, or through a hole in the bottom of it), it is 
thrown off either side of the arena or when its health is reduced, 
typically from contact with explosions, to zero (the damage dealt to the 
attacked hedgehog or hedgehogs after a player's or CPU turn is shown only 
when all movement on the battlefield has ceased).

%prep
%setup -q -n %name-src-%version

%build
%cmake_qt4
%make

%install
%{__rm} -rf %{buildroot}
%makeinstall_std -C build
mkdir -p %{buildroot}%{_datadir}/applications/

%{__cat} <<EOF >%{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Name=%name
Comment=Strategy action game
Exec=hedgewars
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ActionGame;StrategyGame;Qt;
EOF

%clean
%{__rm} -rf %{buildroot}

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%files
%defattr(-, root, root, 0755)
%_datadir/%{name}
%_bindir/*
%_datadir/applications/*.desktop


%changelog
* Sun Aug 10 2008 Funda Wang <fundawang@mandriva.org> 0.9.6-1mdv2009.0
+ Revision: 270331
- add openssl-devel as BR
- clearify license
- New version 0.9.6

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.8.1-2mdv2008.1
+ Revision: 140746
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Emmanuel Andry <eandry@mandriva.org>
    - drop x-mandrivalinux tag


* Wed Jan 24 2007 Michael Scherer <misc@mandriva.org> 0.8.1-1mdv2007.0
+ Revision: 112942
- Import hedgewars

